Bug 57328 - Missing IPv6 functionality in iptables
Missing IPv6 functionality in iptables
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: iptables (Show other bugs)
7.2
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-10 10:30 EST by Per Steinar Iversen
Modified: 2007-04-18 12:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-17 09:19:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Per Steinar Iversen 2001-12-10 10:30:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.6) Gecko/20011120

Description of problem:
Not all IPv6 extentions are compiled in.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Use certain options in iptables for IPv6
2.Does not work, the extentions are not installed byu default

	

Actual Results:  Gets errors about extentions missing, sample:
ip6tables v1.2.4: Couldn't load target `LOG'/lib/iptables/libip6t_LOG.so:
cannot open shared object file: No such file or directory


Expected Results:  Logging should work for IPv6 too.

Additional info:

A simple patch adds at least some of the missing IPv6 extentions:

--- iptables-1.2.4/extensions/Makefile.orig     Mon Dec 10 15:37:31 2001
+++ iptables-1.2.4/extensions/Makefile  Mon Dec 10 15:37:39 2001
@@ -1,7 +1,7 @@
 #! /usr/bin/make
 
 PF_EXT_SLIB:=tcp udp icmp mac limit standard REJECT LOG unclean state
multiport tos TOS mark MARK owner SNAT DNAT MASQUERADE REDIRECT MIRROR SAME
-PF6_EXT_SLIB:=tcp udp icmpv6 standard MARK mark
+PF6_EXT_SLIB:=tcp udp icmpv6 standard MARK mark agr limit LOG mac REJECT
 
 # The following may not be present, but compile them anyway.
 PF_EXT_SLIB+=FTOS TCPMSS TTL ULOG ah esp iplimit tcpmss ttl
Comment 1 Pekka Savola 2002-01-17 17:45:16 EST
Note that kernel does not support agr or REJECT yet (the rest were added around 2.4.14 or so IIRC), 
enabling the rest would be niiice :-)


Note You need to log in before you can comment on or make changes to this bug.